#! /bin/sh

set -e

if [ -n "$DEB_MAINT_PARAMS" ]; then
    eval set -- "$DEB_MAINT_PARAMS"
    if [ -z "$1" ] || [ "$1" != "configure" ]; then
        exit 0;
    fi
fi

# copy k1_x_deb1.dtb to /media/boot/ in case it exists
if [ -f /boot/k1_x_deb1.dtb ]; then
        if [ -d /media/boot ]; then
                cp /boot/k1_x_deb1.dtb /media/boot/
        fi
fi

# copy k1-x_deb1.dtb to /media/boot/ in case it exists
if [ -f /boot/k1-x_deb1.dtb ]; then
        if [ -d /media/boot ]; then
                cp /boot/k1-x_deb*.dtb /media/boot/
        fi
fi

if [ -f /media/boot/k1-x_deb1.dtb ]; then
	mkdir -p /media/boot/spacemit/$version/
	cp /media/boot/k1-x_deb*.dtb /media/boot/spacemit/$version/
fi

# copy k1-x_deb1-linux.dtb to /media/boot/ in case it exists
if [ -f /boot/k1-x_deb1-linux.dtb ]; then
        if [ -d /media/boot ]; then
                cp /boot/k1-x_deb1-linux.dtb /media/boot/
        fi
fi

if [ -f /media/boot/k1-x_deb1-linux.dtb ]; then
	mkdir -p /media/boot/spacemit/$version/
	cp /media/boot/k1-x_deb1-linux.dtb /media/boot/spacemit/$version/
fi

